package com.ruoyi.rocketmq.mapper;

import com.ruoyi.rocketmq.domain.RmTemplateSwitch;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * 交换机监控模板Mapper接口
 * 
 * @author gyt
 * @date 2025-09-09
 */
public interface RmTemplateSwitchMapper 
{
    /**
     * 查询交换机监控模板
     * 
     * @param id 交换机监控模板主键
     * @return 交换机监控模板
     */
    public RmTemplateSwitch selectRmTemplateSwitchById(Long id);

    /**
     * 查询交换机监控模板列表
     * 
     * @param rmTemplateSwitch 交换机监控模板
     * @return 交换机监控模板集合
     */
    public List<RmTemplateSwitch> selectRmTemplateSwitchList(RmTemplateSwitch rmTemplateSwitch);

    /**
     * 新增交换机监控模板
     * 
     * @param rmTemplateSwitch 交换机监控模板
     * @return 结果
     */
    public int insertRmTemplateSwitch(RmTemplateSwitch rmTemplateSwitch);

    /**
     * 修改交换机监控模板
     * 
     * @param rmTemplateSwitch 交换机监控模板
     * @return 结果
     */
    public int updateRmTemplateSwitch(RmTemplateSwitch rmTemplateSwitch);

    /**
     * 删除交换机监控模板
     * 
     * @param id 交换机监控模板主键
     * @return 结果
     */
    public int deleteRmTemplateSwitchById(Long id);
    public int deleteByPolicyId(Long policyId);

    /**
     * 批量删除交换机监控模板
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRmTemplateSwitchByIds(Long[] ids);

    /**
     * 批量新增交换机监控模板信息
     * @param switchItems
     */
    void batchInsertRmTemplateSwitch(@Param("list") List<RmTemplateSwitch> switchItems);

    int deleteByTemplateId(Long templateId);

    int updateByTemplateId(Long templateId);
    int updateByPolicyId(Long policyId);
}
